summarylogtreecommitdiffstats
path: root/colord.install
diff options
context:
space:
mode:
authorMoritz Lipp2015-06-15 20:15:50 +0200
committerMoritz Lipp2015-06-15 20:15:50 +0200
commitcb0115dede6034cc1f57ffa5598639c722d1fbb0 (patch)
tree57b983e43d9cf2bbc98836c72898ac4fed4ba8d3 /colord.install
downloadaur-cb0115dede6034cc1f57ffa5598639c722d1fbb0.tar.gz
Initial import
Diffstat (limited to 'colord.install')
-rw-r--r--colord.install17
1 files changed, 17 insertions, 0 deletions
diff --git a/colord.install b/colord.install
new file mode 100644
index 000000000000..2b20f5edde58
--- /dev/null
+++ b/colord.install
@@ -0,0 +1,17 @@
+post_install() {
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+ getent group colord >/dev/null || groupadd -g 124 colord
+ getent passwd colord >/dev/null || useradd -d /var/lib/colord -u 124 -g colord -s /bin/false colord
+ chown colord:colord /var/lib/colord
+ chown colord:colord /var/lib/colord/*.db 2>/dev/null || return 0
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ glib-compile-schemas /usr/share/glib-2.0/schemas
+ getent passwd colord >/dev/null && userdel colord
+ getent group colord >/dev/null && groupdel colord
+}